
#ifndef __WFX_SDL_SDLTIMETASK_H__
#define __WFX_SDL_SDLTIMETASK_H__

#include <WFX/WFXIncludes.h>
#include <WFX/kernel/TimeTask.h>

namespace WFX {

    namespace SDL {

        /**
         * SDL implementation of the Timer task interface
         */
        class SDLTimeTask : public WFX::kernel::TimeTask {
            public:
                /**
                 * Ctor/Dtor
                 */
                SDLTimeTask() {};
                virtual ~SDLTimeTask() {};

                /** implement TimeTask interface */
                ULong getTicks();
                
                /** implement task interface */
                bool start();
                void stop();
                void update();

        };

    }

}


#endif //include guard


